TEXI2DVI(1)

NUME
texi2dvi - convertește documentele Texinfo în DVI sau PDF

SINOPSIS
texi2dvi [OPȚIUNE]... FIȘIER...
texi2pdf [OPȚIUNE]... FIȘIER...
pdftexi2dvi [OPȚIUNE]... FIȘIER...

DESCRIERE
Rulează fiecare FIȘIER Texinfo sau (La)TeX prin TeX, pe rând, până când toate referințele încrucișate sunt rezolvate, construind toți indicii. Directorul care conține fiecare FIȘIER este căutat pentru fișierele incluse. Sufixul FIȘIERULUI este utilizat pentru a determina limba în care este redactat [(La)TeX sau Texinfo]. Pentru a procesa fișiere (e)plain TeX, definiți variabila de mediu LATEX=tex.

Atunci când este invocat ca «texi2pdf» sau când i se dă opțiunea --pdf generează ieșire PDF. În caz contrar, generează DVI.

  Opțiuni generale:

-D, --debug
    activează depanarea shell-ului (activează opțiunea -x)

-h, --help
    afișează acest ajutor și iese cu succes

-o, --output=FIȘIER_IEȘIRE
    emite ieșirea în FIȘIER_IEȘIRE; este permisă doar o singură intrare FIȘIER

-q, --quiet
    fără mesaje la ieșire dacă nu există erori

-v, --version
    afișați informații despre versiune și iese cu succes

-V, --verbose
    raportează ceea ce se face

--max-iterations=N
    nu procesează fișierele de mai mult de N ori [7]

--mostly-clean
    elimină fișierele sau directoarele auxiliare din rulările anterioare (dar nu și rezultatul)

  Format de ieșire:

--dvi
    generează un fișier DVI [implicit]

--dvipdf
    generează un fișier PDF prin DVI (utilizând un program „dvi-la-pdf”)

-p, --pdf
    utilizează pdftex sau pdflatex pentru procesare

--ps
    generează un fișier PostScript prin DVI (utilizând dvips)

  Ajustarea TeX:

-E, --expand
    expansiune macro folosind makeinfo

-I DIRECTOR
    caută în DIRECTOR fișiere Texinfo

-l, --language=LANG
    specifică LANG pentru FIȘIER, oricare din latex sau texinfo

--no-line-error
    nu transmite --file-line-error la TeX

--shell-escape
    pasează -shell-escape către TeX

--src-specials
    pasează --src-specials la TeX

--translate-file=FIȘIER
    utilizează fișierul de conversie a setului de caractere dat pentru TeX

-t, --command=COMANDA
    inserează COMANDA în copia fișierului de intrare

  Moduri de construire:

--build=MOD
    specifică modul de tratare a fișierelor auxiliare [local]

--tidy
    la fel ca --build=tidy

-c, --clean
    same as --build=clean

--build-dir=DIRECTOR
    specifică unde se efectuează compilarea tidy; implică --tidy

MOD specifică locul în care are loc compilarea TeX și, în consecință, modul în care sunt tratate fișierele auxiliare.

  Valorile valide pentru MOD sunt:

„local”
    compilează în directorul curent, lăsând toate fișierele auxiliare. Aceasta este utilizarea tradițională a TeX.

„tidy”
    compilează într-un director local *.t2d, unde sunt lăsate fișierele auxiliare. Fișierele de ieșire sunt copiate înapoi în fișierul original.

„clean”
    la fel ca „tidy”, dar elimină directorul auxiliar după aceea. Prin urmare, fiecare compilare necesită un ciclu complet.

Modul de construire poate fi, de asemenea, definit cu ajutorul variabilei de mediu TEXI2DVI_BUILD_MODE. Directorul de compilare al tidy poate fi, de asemenea, definit cu ajutorul variabilei de mediu TEXI2DVI_BUILD_DIRECTORY.

Valorile acestor variabile de mediu sunt utilizate pentru a rula comenzile corespunzătoare, în cazul în care acestea sunt definite:

    BIBER BIBTEX DVIPDF DVIPS EGREP LATEX MAKEINDEX MAKEINFO PDFLATEX PDFTEX SED TEX TEXINDEX TEXINDY THUMBPDF_CMD

În ceea ce privește --dvipdf, dacă DVIPDF nu este definită în mediu, sunt căutate următoarele programe (în această ordine): dvipdfmx dvipdfm dvipdf dvipdf dvi2pdf dvitopdf.

Dacă Texinfo este instalat în sistemul dvs., atunci comanda

    info texi2dvi

ar trebui să vă permită accesul la manualul complet.

RAPORTAREA ERORILOR
Trimiteți prin e-mail rapoartele de eroare la bug-texinfo@gnu.org, întrebări generale și discuții la help-texinfo@gnu.org.
Pagina principală a GNU Texinfo: <https://www.gnu.org/software/texinfo/>
Ajutor general pentru utilizarea software-ului GNU: <http://www.gnu.org/gethelp/>

DREPTURI DE AUTOR
Drepturi de autor © 2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <http://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru texi2dvi este menținută ca un manual Texinfo. Dacă programele info și texi2dvi sunt instalate corect în sistemul dvs., comanda

    info texi2dvi

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.